﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Windows.Media;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace TilesArrangeDemo
{   
    public partial class TileControl : UserControl
    {
        public TileControl()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        #region TileBackground (依赖属性)        
        /// <summary>
        /// Tile 的背景图片
        /// </summary>
        public string TileBackground
        {
            get 
            {
                return (string)GetValue(TileBackgroundProperty); 
            }
            set 
            { 
                SetValue(TileBackgroundProperty, value); 
            }
        }
        public static readonly DependencyProperty TileBackgroundProperty =
            DependencyProperty.Register("TileBackground", typeof(string), typeof(TileControl),
              new PropertyMetadata("/Assets/Tiles/FlipCycleTileMedium.png"));

        #endregion                

        // 漂浮
        static Random rand = new Random();
        public void Float()
        {
            // 使 tile 进入不同的漂浮状态
            switch (rand.Next(5))
            {
                case 1:
                    VisualStateManager.GoToState(this, "FloatVisualState1", false);
                    break;
                case 2:
                    VisualStateManager.GoToState(this, "FloatVisualState2", false);
                    break;
                case 3:
                    VisualStateManager.GoToState(this, "FloatVisualState3", false);
                    break;
                case 4:
                    VisualStateManager.GoToState(this, "FloatVisualState4", false);
                    break;
                default: VisualStateManager.GoToState(this, "FloatVisualState3", false);
                    break;
            }
        }

        // 选中
        public void Checked()
        {
            VisualStateManager.GoToState(this, "CheckedVisualState", false);
        }

        // 恢复
        public void Reset()
        {
            VisualStateManager.GoToState(this, "NormalVisualState", false);
        }
    }
}
